Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705258 - =media-gfx/nvidia-cg-toolkit-3.1.0013-r5 uses lexicographical version compare
Summary: =media-gfx/nvidia-cg-toolkit-3.1.0013-r5 uses lexicographical version compare
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 705240
  Show dependency tree
 
Reported: 2020-01-12 11:26 UTC by Sergei Trofimovich
Modified: 2020-02-18 20:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich gentoo-dev 2020-01-12 11:26:52 UTC
media-gfx/nvidia-cg-toolkit uses lexicographical string version compare:

media-gfx/nvidia-cg-toolkit/nvidia-cg-toolkit-3.1.0013-r5.ebuild:	if [[ ${REPLACING_VERSIONS} < 2.1.0016 ]]; then

The intention is likely to use 'ver_cmp'. See bug #705240 for hints to fix it.
Comment 1 Larry the Git Cow gentoo-dev 2020-02-18 20:22:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e2a3a2a0adc886ab4d5f15350ec99d7b9d8e1bd

commit 6e2a3a2a0adc886ab4d5f15350ec99d7b9d8e1bd
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-18 20:22:11 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-18 20:22:28 +0000

    media-gfx/nvidia-cg-toolkit: drop old pkg_postinst(), bug #705258
    
    Drop lexicographical version compare.
    
    Closes: https://bugs.gentoo.org/705258
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../nvidia-cg-toolkit/nvidia-cg-toolkit-3.1.0013-r5.ebuild     | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)